public function getPasswordExpiry()
	On Error Resume Next

	Const ADS_UF_DONT_EXPIRE_PASSWD = &h10000
	Const E_ADS_PROPERTY_NOT_FOUND  = &h8000500D
	Const ONE_HUNDRED_NANOSECOND    = .000000100
	Const SECONDS_IN_DAY            = 86400

	Set objADSystemInfo = CreateObject("ADSystemInfo")
	Set objUser = GetObject("LDAP://" & objADSystemInfo.UserName)

	intUserAccountControl = objUser.Get("userAccountControl")
	If intUserAccountControl And ADS_UF_DONT_EXPIRE_PASSWD Then
		getPasswordExpiry = "The password does not expire"
		exit function
	Else
		dtmValue = objUser.PasswordLastChanged
		If Err.Number = E_ADS_PROPERTY_NOT_FOUND Then
			getPasswordExpiry = "The password has never been set"
			exit function
		Else
			intTimeInterval = Int(Now - dtmValue)
		End If

		Set objDomain = GetObject("LDAP://" & objADSystemInfo.DomainDNSName)
		Set objMaxPwdAge = objDomain.Get("maxPwdAge")

		If objMaxPwdAge.LowPart = 0 Then
			getPasswordExpiry = "The password does not expire"
			exit function
		Else
			dblMaxPwdNano = Abs(objMaxPwdAge.HighPart * 2^32 + objMaxPwdAge.LowPart)
			dblMaxPwdSecs = dblMaxPwdNano * ONE_HUNDRED_NANOSECOND
			dblMaxPwdDays = Int(dblMaxPwdSecs / SECONDS_IN_DAY)

			If intTimeInterval >= dblMaxPwdDays Then
				getPasswordExpiry = "The password has expired"
			Else
				dim iDaysLeft
				iDaysLeft = Int((dtmValue + dblMaxPwdDays) - Now)
				getPasswordExpiry = "The password expires in " & iDaysLeft & " day"
				if iDaysLeft <> 1 then
					getPasswordExpiry = getPasswordExpiry &	"s"
				end if
			End If
		End If
	End If
end function